Summary:     Bootstrapping tool for creating supermin appliances
Name:        febootstrap
Version:     3.3
Release:     1.1%{?dist}
License:     GPLv2+
Group:       Development/Tools
URL:         http://people.redhat.com/~rjones/febootstrap/
Source0:     http://people.redhat.com/~rjones/febootstrap/files/%{name}-%{version}.tar.gz
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: /usr/bin/pod2man
BuildRequires: yum >= 3.2
BuildRequires: /sbin/mke2fs
BuildRequires: /sbin/insmod.static
BuildRequires: e2fsprogs-devel
BuildRequires: glibc-static
BuildRequires: ocaml, ocaml-findlib-devel

Requires:    yum >= 3.2
Requires:    yum-utils
Requires:    febootstrap-supermin-helper = %{version}-%{release}

# These are suggestions.  However making them hard requirements
# pulls in far too much stuff.
#Requires:    qemu
#Requires:    filelight
#Requires:    baobab     # Not as nice as filelight.


%description
febootstrap is a tool for building supermin appliances.  These are
tiny appliances (similar to virtual machines), usually around 100KB in
size, which get fully instantiated on-the-fly in a fraction of a
second when you need to boot one of them.


%package supermin-helper
Summary:     Runtime support for febootstrap
Group:       Development/Tools
Requires:    util-linux-ng
Requires:    cpio
Requires:    /sbin/mke2fs
Requires:    /sbin/insmod.static


%description supermin-helper
%{name}-supermin-helper contains the runtime support for %{name}.


%prep
%setup -q


%build
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/febootstrap
%{_mandir}/man8/febootstrap.8*


%files supermin-helper
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/febootstrap-supermin-helper
%{_mandir}/man8/febootstrap-supermin-helper.8*


%changelog
* Fri Jan 14 2011 Richard Jones <rjones@redhat.com> - 3.3-1.1.fc14
- Split package into febootstrap (for building) and febootstrap-supermin-helper
  (for running).  Note that febootstrap depends on febootstrap-supermin-helper,
  but you can install febootstrap-supermin-helper on its own.

* Sun Dec 19 2010 Richard Jones <rjones@redhat.com> - 3.3-1
- New upstream version 3.3 (note this is incompatible with 2.x).
- Backport changes from Rawhide.
- This is required in order to build libguestfs 1.8.0.

* Thu Nov 25 2010 Richard Jones <rjones@redhat.com> - 2.11-1
- New upstream version 2.11.
- Fixes "ext2fs_mkdir .. No free space in directory" bug which affects
  libguestfs on rawhide.

* Thu Oct 28 2010 Richard Jones <rjones@redhat.com> - 2.10-1
- New upstream version 2.10.
- Adds -u and -g options to febootstrap-supermin-helper which are
  required by virt-v2v.

* Fri Aug 27 2010 Richard Jones <rjones@redhat.com> - 2.9-1
- New upstream version 2.9.
- Fixes directory ordering problem in febootstrap-supermin-helper.

* Thu Aug 26 2010 Richard Jones <rjones@redhat.com> - 2.8-1
- New upstream version 2.8.
- This is backwards-compatible with version 2.7, and includes the
  new ext2 appliance builder.
- New BRs on mke2fs, libext2fs, glibc-static.

* Fri May 14 2010 Richard Jones <rjones@redhat.com> - 2.7-2
- New upstream version 2.7.
- febootstrap-supermin-helper shell script rewritten in C for speed.
- This package contains C code so it is no longer 'noarch'.
- MAKEDEV isn't required.

* Fri Jan 22 2010 Richard Jones <rjones@redhat.com> - 2.6-1
- New upstream release 2.6.
- Recheck package in rpmlint.

* Thu Oct 22 2009 Richard Jones <rjones@redhat.com> - 2.5-2
- New upstream release 2.5.
- Remove BR upx (not needed by upstream).
- Two more scripts / manpages.

* Thu Jul 30 2009 Richard Jones <rjones@redhat.com> - 2.4-1
- New upstream release 2.4.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 15 2009 Richard Jones <rjones@redhat.com> - 2.3-1
- New upstream release 2.3.

* Mon Jun 15 2009 Richard Jones <rjones@redhat.com> - 2.2-1
- New upstream release 2.2.

* Mon May 11 2009 Richard Jones <rjones@redhat.com> - 2.0-1
- New upstream release 2.0.

* Thu May  7 2009 Richard Jones <rjones@redhat.com> - 1.9-1
- New upstream release 1.9.

* Fri May  1 2009 Richard Jones <rjones@redhat.com> - 1.8-1
- New upstream release 1.8.

* Mon Apr 20 2009 Richard Jones <rjones@redhat.com> - 1.7-1
- New upstream release 1.7.

* Tue Apr 14 2009 Richard Jones <rjones@redhat.com> - 1.5-3
- Configure script has (unnecessary) BuildRequires on fakeroot,
  fakechroot, yum.

* Tue Apr 14 2009 Richard Jones <rjones@redhat.com> - 1.5-2
- Initial build for Fedora.
